Bug 178988 - my bcm43xx device went from eth1 to dev4679
my bcm43xx device went from eth1 to dev4679
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-25 20:58 EST by Thomas J. Baker
Modified: 2014-03-16 22:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-09 22:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-01-25 20:58:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Could be a udev problem or an selinux problem (though I don't see any selinux errors) but my eth1 device, a bcm43xx, now comes up as dev4679.

intrepid> ifconfig
dev4679   Link encap:Ethernet  HWaddr 00:90:96:B0:99:38
          inet addr:  Bcast:  Mask:
          inet6 addr: fe80::290:96ff:feb0:9938/64 Scope:Link
          RX packets:46228 errors:0 dropped:149 overruns:0 frame:0
          TX packets:47252 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:22795441 (21.7 MiB)  TX bytes:4767476 (4.5 MiB)
          Interrupt:11 Base address:0x4000

eth0      Link encap:Ethernet  HWaddr 00:0F:1F:A5:29:09
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:15214 errors:0 dropped:0 overruns:0 frame:0
          TX packets:13156 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:8034363 (7.6 MiB)  TX bytes:1494541 (1.4 MiB)

lo        Link encap:Local Loopback
          inet addr:  Mask:
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:50213 errors:0 dropped:0 overruns:0 frame:0
          TX packets:50213 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:16069019 (15.3 MiB)  TX bytes:16069019 (15.3 MiB)


I believe this started with the kernel-2.6.15-1.1869_FC5 kernel, or at least that rawhide update, and continues with this kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot

Actual Results:  The bcm43xx is no longer named eth1 but dev4679.

Additional info:
Comment 1 Pete Zaitcev 2006-01-25 21:09:37 EST
From the discussions I have seen, this sort of thing is unavoidable, at least
for softmac based devices. But I think that John is the final authority here.

Please use nameif(8) and /etc/mactab for now.
Comment 2 Thomas J. Baker 2006-01-27 15:13:48 EST
It's back to eth1 with kernel 1872 and beyond.
Comment 3 Thomas J. Baker 2006-02-04 21:44:36 EST
The problem is back with kernel-2.6.15-1.1907_FC5. Is the /etc/mactab going to
be the official solution on is this just a transient bug?
Comment 4 Thomas J. Baker 2006-02-05 14:11:33 EST
And fixed again with kernel-2.6.15-1.1909_FC5.
Comment 5 John W. Linville 2006-02-06 08:17:10 EST
I think this is actually some sort of problem wih 
your /etc/sysconfig/network-scripts/ifcfg-ethX files.  My guess is that you 
are specifying MAC addresses in some (but not all) of them, and the renaming 
of the interfaces is getting confused. 
Bill can answer this one without sweating... :-) 
Comment 6 Bill Nottingham 2006-02-06 11:26:57 EST
What do your ifcfg files look like?
Comment 7 Thomas J. Baker 2006-02-06 14:15:44 EST
I did have some old ifcfg files hanging around from when this problem first
occured. I had one made for dev4679 with a correct hw address in it so it was
probably the cause. After removing them, the 1907 kernel works normally.

Note You need to log in before you can comment on or make changes to this bug.